%define        pkgver %(echo %version | tr . _)
Name:          jgoodies-looks
Version:       2.8.0
Release:       1mamba
Summary:       Free high-fidelity Windows and multi-platform appearance
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.jgoodies.com/freeware/looks/
Source0:       https://mrwitek.github.io/aur-repo/jgoodies-looks-%{pkgver}-20150402.zip
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages

%description
The JGoodies look&feels make your Swing applications and applets look better.
They have been optimized for readability, precise micro-design and usability.

Main Benefits:

* Improved readability, legibility and in turn usability.
* Improved aesthetics - looks good on the majority of desktops
* Simplified multi-platform support
* Precise micro-design

%prep
%setup -q -n jgoodies-looks-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -Dm644 jgoodies-looks-%{version}.jar %{buildroot}%{_javadir}/jgoodies-looks-%{version}.jar
ln -s jgoodies-looks-%{version}.jar %{buildroot}%{_javadir}/jgoodies-looks.jar

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/jgoodies-looks-%{version}.jar
%{_javadir}/jgoodies-looks.jar
%doc LICENSE.txt

%changelog
* Sun Apr 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-1mamba
- update to 2.8.0

* Mon Dec 29 2014 Automatic Build System <autodist@mambasoft.it> 2.2.2-4mamba
- automatic rebuild by autodist

* Tue Oct 20 2009 gil <puntogil@libero.it> 2.2.2-3mamba
- rebuilt

* Thu Jul 23 2009 gil <puntogil@libero.it> 2.2.2-2mamba
- rebuilt

* Sun Jul 05 2009 gil <puntogil@libero.it> 2.2.2-1mamba
- update to 2.2.2

* Mon Jan 05 2009 gil <puntogil@libero.it> 2.2.1-1mamba
- package created by autospec
